#!perl
# -*- perl -*-

#
# Lisp list depth calculation tests
# Antonio García Domínguez
# $Id$
#
use strict;
use warnings;
use Test::More;

use ACL2::Lisp::Parser qw(read_lisp_token);

##### TEST SPECIFICATION

my %cases = ("()",      0,
             "(; comment\n)", 0,
             "(#|comment|#)", 0,
             "(x)",     1,
             "(x y z)", 1,
             "((x y) (z w))", 2,
             "(x (z w))",     2,
             "(x . (z w))",   2,
             "(x (z (w (t u))) j)", 4);

# Avisamos a Test::More del número de pruebas a realizar
plan tests => scalar (keys %cases);

while (my ($input, $expected) = each(%cases)) {
    my ($token, $dummy) = read_lisp_token(\$input, 0);
    is($token->max_depth, $expected,
       "Maximum depth of '" . $token->source . "' should be $expected");
}
